[ovs-dev] [PATCH 2/2] travis: Allow testsuite to run with GCC or Clang.

Ben Pfaff blp at nicira.com
Fri Sep 19 20:09:59 UTC 2014


I don't see why the testsuite is supported only with GCC.

CC: Thomas Graf <tgraf at noironetworks.com>
Signed-off-by: Ben Pfaff <blp at nicira.com>
---
 .travis/build.sh |   13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

diff --git a/.travis/build.sh b/.travis/build.sh
index db7a3d3..ecdd39f 100755
--- a/.travis/build.sh
+++ b/.travis/build.sh
@@ -52,12 +52,13 @@ if [ $CC = "clang" ]; then
     make CFLAGS="$CFLAGS -Wno-error=unused-command-line-argument"
 else
     make CFLAGS="$CFLAGS" C=1
-    if [ $TESTSUITE ]; then
-        if ! make distcheck; then
-            # testsuite.log is necessary for debugging.
-            cat */_build/tests/testsuite.log
-            exit 1
-        fi
+fi
+
+if [ $TESTSUITE ]; then
+    if ! make distcheck; then
+        # testsuite.log is necessary for debugging.
+        cat */_build/tests/testsuite.log
+        exit 1
     fi
 fi
 
-- 
1.7.10.4




More information about the dev mailing list